Payments
...
APIs
Request payment quote
api reference calls an executable international payment quote that returns the cost of the transfer, including any fees and the exchange rate to a foreign currency many beneficiary details are conditionally optional depending on destination country call get /international/v1/meta/quote requirements for a list of specific required parameters for your quote you need beneficiary details to create a quote you use the value of the id attribute in the response (the quote id) to originate an international transfer quotes are typically valid for only 30 seconds for an example of how to request a quote for currencies using payment purpose codes, please refer to the docid\ kmgw82p6bkyzjx aojtae page { "name" "endpoint /international/v1/quotes", "method" "post", "url" "https //sandbox crbcos com/international/v1/quotes", "description" "", "tab" "examples", "examples" { "languages" \[ { "id" "sjmpv8wme7mtxozwh2grt", "language" "curl", "code" "curl location 'https //sandbox crbcos com/international/v1/quotes' \\\\\n data '{\n \\"currency\\" \\"gbp\\",\n \\"accountnumber\\" \\"158560897007\\",\n \\"fromamount\\" \\"500\\",\n \\"toamount\\" \\"\\",\n \\"beneficiary\\" {\n \\"firstname\\" \\"jon\\",\n \\"lastname\\" \\"smith\\",\n \n \\"fullname\\" \\"jonsmith\\",\n \n \\"birthdate\\" \\"2001 06 18t13 05 09 015z\\",\n \\"address\\" \\"1 street\\",\n \\"city\\" \\"winfield\\",\n \\"stateprovince\\" \\"\\",\n \\"postalcode\\" \\"gb12345\\",\n \\"countrycode\\" \\"gb\\",\n \\"entitytype\\" \\"individual\\"\n },\n \\"beneficiaryfi\\" {\n \\"bankname\\" \\"bank uk\\",\n \\"bankcountrycode\\" \\"gb\\",\n \\"bankaddress\\" \\"1 avenue\\",\n \\"bankaccounttype\\" \\"checking\\",\n \n \\"routingcodetype1\\" \\"sortcode\\",\n \\"routingcodevalue1\\" \\"123456789\\",\n \\"routingcodetype2\\" \\"aba\\",\n \\"routingcodevalue2\\" \\"123456789\\",\n \\"bicswift\\" \\"tgclgb99\\",\n \\"iban\\" \\"gb33bukb20201555555555\\"\n },\n \\"originator\\" {\n \\"entityname\\" \\"cross river bank\\",\n \\"firstname\\" \\"\\",\n \\"lastname\\" \\"\\",\n \\"fullname\\" \\"cross river bank\\",\n \\"address\\" \\"885 teaneck road\\",\n \\"city\\" \\"teaneck\\",\n \\"state\\" \\"nj\\",\n \\"postalcode\\" \\"07666\\",\n \\"countrycode\\" \\"us\\",\n \\"entitytype\\" \\"company\\",\n \\"birthdate\\" \\"2008 06 23\\",\n \\"identificationtype\\" \\"incorporationnumber\\",\n \\"identificationvalue\\" \\"0400170263\\"\n },\n \\"priority\\" true,\n \n \n \\"purpose\\" \\"srv\\"\n}'\n", "customlabel" "" }, { "id" "fhxrfspywi1uahy6m4ugj", "language" "nodejs", "code" "var https = require('follow redirects') https;\nvar fs = require('fs');\n\nvar options = {\n 'method' 'post',\n 'hostname' 'sandbox crbcos com',\n 'path' '/international/v1/quotes',\n 'headers' {\n },\n 'maxredirects' 20\n};\n\nvar req = https request(options, function (res) {\n var chunks = \[];\n\n res on(\\"data\\", function (chunk) {\n chunks push(chunk);\n });\n\n res on(\\"end\\", function (chunk) {\n var body = buffer concat(chunks);\n console log(body tostring());\n });\n\n res on(\\"error\\", function (error) {\n console error(error);\n });\n});\n\nvar postdata = \\"{\\\r\\\n \\\\\\"currency\\\\\\" \\\\\\"gbp\\\\\\",\\\r\\\n \\\\\\"accountnumber\\\\\\" \\\\\\"158560897007\\\\\\",\\\r\\\n \\\\\\"fromamount\\\\\\" \\\\\\"500\\\\\\",\\\r\\\n \\\\\\"toamount\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"beneficiary\\\\\\" {\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"jon\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"smith\\\\\\",\\\r\\\n \\\n \\\\\\"fullname\\\\\\" \\\\\\"jonsmith\\\\\\",\\\r\\\n \\\n \\\\\\"birthdate\\\\\\" \\\\\\"2001 06 18t13 05 09 015z\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"1 street\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"winfield\\\\\\",\\\r\\\n \\\\\\"stateprovince\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"gb12345\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"individual\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"beneficiaryfi\\\\\\" {\\\r\\\n \\\\\\"bankname\\\\\\" \\\\\\"bank uk\\\\\\",\\\r\\\n \\\\\\"bankcountrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"bankaddress\\\\\\" \\\\\\"1 avenue\\\\\\",\\\r\\\n \\\\\\"bankaccounttype\\\\\\" \\\\\\"checking\\\\\\",\\\r\\\n \\\n \\\\\\"routingcodetype1\\\\\\" \\\\\\"sortcode\\\\\\",\\\r\\\n \\\\\\"routingcodevalue1\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"routingcodetype2\\\\\\" \\\\\\"aba\\\\\\",\\\r\\\n \\\\\\"routingcodevalue2\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"bicswift\\\\\\" \\\\\\"tgclgb99\\\\\\",\\\r\\\n \\\\\\"iban\\\\\\" \\\\\\"gb33bukb20201555555555\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"originator\\\\\\" {\\\r\\\n \\\\\\"entityname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"fullname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"885 teaneck road\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"teaneck\\\\\\",\\\r\\\n \\\\\\"state\\\\\\" \\\\\\"nj\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"07666\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"us\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"company\\\\\\",\\\r\\\n \\\\\\"birthdate\\\\\\" \\\\\\"2008 06 23\\\\\\",\\\r\\\n \\\\\\"identificationtype\\\\\\" \\\\\\"incorporationnumber\\\\\\",\\\r\\\n \\\\\\"identificationvalue\\\\\\" \\\\\\"0400170263\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"priority\\\\\\" true,\\\r\\\n \\\n \\\n \\\\\\"purpose\\\\\\" \\\\\\"srv\\\\\\"\\\r\\\n}\\";\n\nreq write(postdata);\n\nreq end();\n", "customlabel" "" }, { "id" "gqkqirejgjiaa4n35squp", "language" "python", "code" "import requests\n\nurl = \\"https //sandbox crbcos com/international/v1/quotes\\"\n\npayload = \\"{\\\r\\\n \\\\\\"currency\\\\\\" \\\\\\"gbp\\\\\\",\\\r\\\n \\\\\\"accountnumber\\\\\\" \\\\\\"158560897007\\\\\\",\\\r\\\n \\\\\\"fromamount\\\\\\" \\\\\\"500\\\\\\",\\\r\\\n \\\\\\"toamount\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"beneficiary\\\\\\" {\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"jon\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"smith\\\\\\",\\\r\\\n \\\n \\\\\\"fullname\\\\\\" \\\\\\"jonsmith\\\\\\",\\\r\\\n \\\n \\\\\\"birthdate\\\\\\" \\\\\\"2001 06 18t13 05 09 015z\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"1 street\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"winfield\\\\\\",\\\r\\\n \\\\\\"stateprovince\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"gb12345\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"individual\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"beneficiaryfi\\\\\\" {\\\r\\\n \\\\\\"bankname\\\\\\" \\\\\\"bank uk\\\\\\",\\\r\\\n \\\\\\"bankcountrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"bankaddress\\\\\\" \\\\\\"1 avenue\\\\\\",\\\r\\\n \\\\\\"bankaccounttype\\\\\\" \\\\\\"checking\\\\\\",\\\r\\\n \\\n \\\\\\"routingcodetype1\\\\\\" \\\\\\"sortcode\\\\\\",\\\r\\\n \\\\\\"routingcodevalue1\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"routingcodetype2\\\\\\" \\\\\\"aba\\\\\\",\\\r\\\n \\\\\\"routingcodevalue2\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"bicswift\\\\\\" \\\\\\"tgclgb99\\\\\\",\\\r\\\n \\\\\\"iban\\\\\\" \\\\\\"gb33bukb20201555555555\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"originator\\\\\\" {\\\r\\\n \\\\\\"entityname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"fullname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"885 teaneck road\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"teaneck\\\\\\",\\\r\\\n \\\\\\"state\\\\\\" \\\\\\"nj\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"07666\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"us\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"company\\\\\\",\\\r\\\n \\\\\\"birthdate\\\\\\" \\\\\\"2008 06 23\\\\\\",\\\r\\\n \\\\\\"identificationtype\\\\\\" \\\\\\"incorporationnumber\\\\\\",\\\r\\\n \\\\\\"identificationvalue\\\\\\" \\\\\\"0400170263\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"priority\\\\\\" true,\\\r\\\n \\\n \\\n \\\\\\"purpose\\\\\\" \\\\\\"srv\\\\\\"\\\r\\\n}\\"\nheaders = {}\n\nresponse = requests request(\\"post\\", url, headers=headers, data=payload)\n\nprint(response text)\n", "customlabel" "" }, { "id" "2ja1ppkgxpbndd saaltr", "language" "ruby", "code" "require \\"uri\\"\nrequire \\"net/http\"\n\nurl = uri(\\"https //sandbox crbcos com/international/v1/quotes\\")\n\nhttps = net http new(url host, url port)\nhttps use ssl = true\n\nrequest = net http post new(url)\nrequest body = \\"{\\\r\\\n \\\\\\"currency\\\\\\" \\\\\\"gbp\\\\\\",\\\r\\\n \\\\\\"accountnumber\\\\\\" \\\\\\"158560897007\\\\\\",\\\r\\\n \\\\\\"fromamount\\\\\\" \\\\\\"500\\\\\\",\\\r\\\n \\\\\\"toamount\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"beneficiary\\\\\\" {\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"jon\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"smith\\\\\\",\\\r\\\n \\\n \\\\\\"fullname\\\\\\" \\\\\\"jonsmith\\\\\\",\\\r\\\n \\\n \\\\\\"birthdate\\\\\\" \\\\\\"2001 06 18t13 05 09 015z\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"1 street\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"winfield\\\\\\",\\\r\\\n \\\\\\"stateprovince\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"gb12345\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"individual\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"beneficiaryfi\\\\\\" {\\\r\\\n \\\\\\"bankname\\\\\\" \\\\\\"bank uk\\\\\\",\\\r\\\n \\\\\\"bankcountrycode\\\\\\" \\\\\\"gb\\\\\\",\\\r\\\n \\\\\\"bankaddress\\\\\\" \\\\\\"1 avenue\\\\\\",\\\r\\\n \\\\\\"bankaccounttype\\\\\\" \\\\\\"checking\\\\\\",\\\r\\\n \\\n \\\\\\"routingcodetype1\\\\\\" \\\\\\"sortcode\\\\\\",\\\r\\\n \\\\\\"routingcodevalue1\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"routingcodetype2\\\\\\" \\\\\\"aba\\\\\\",\\\r\\\n \\\\\\"routingcodevalue2\\\\\\" \\\\\\"123456789\\\\\\",\\\r\\\n \\\\\\"bicswift\\\\\\" \\\\\\"tgclgb99\\\\\\",\\\r\\\n \\\\\\"iban\\\\\\" \\\\\\"gb33bukb20201555555555\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"originator\\\\\\" {\\\r\\\n \\\\\\"entityname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"firstname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"lastname\\\\\\" \\\\\\"\\\\\\",\\\r\\\n \\\\\\"fullname\\\\\\" \\\\\\"cross river bank\\\\\\",\\\r\\\n \\\\\\"address\\\\\\" \\\\\\"885 teaneck road\\\\\\",\\\r\\\n \\\\\\"city\\\\\\" \\\\\\"teaneck\\\\\\",\\\r\\\n \\\\\\"state\\\\\\" \\\\\\"nj\\\\\\",\\\r\\\n \\\\\\"postalcode\\\\\\" \\\\\\"07666\\\\\\",\\\r\\\n \\\\\\"countrycode\\\\\\" \\\\\\"us\\\\\\",\\\r\\\n \\\\\\"entitytype\\\\\\" \\\\\\"company\\\\\\",\\\r\\\n \\\\\\"birthdate\\\\\\" \\\\\\"2008 06 23\\\\\\",\\\r\\\n \\\\\\"identificationtype\\\\\\" \\\\\\"incorporationnumber\\\\\\",\\\r\\\n \\\\\\"identificationvalue\\\\\\" \\\\\\"0400170263\\\\\\"\\\r\\\n },\\\r\\\n \\\\\\"priority\\\\\\" true,\\\r\\\n \\\n \\\n \\\\\\"purpose\\\\\\" \\\\\\"srv\\\\\\"\\\r\\\n}\\"\n\nresponse = https request(request)\nputs response read body\n", "customlabel" "" }, { "id" "cohv1eawuai ftgamenqd", "language" "go", "code" "package main\n\nimport (\n \\"fmt\\"\n \\"strings\\"\n \\"net/http\"\n \\"io\\"\n)\n\nfunc main() {\n\n url = \\"https //sandbox crbcos com/international/v1/quotes\\"\n method = \\"post\\"\n\n payload = strings newreader(`{`+\\"\n\\"+`\n \\"currency\\" \\"gbp\\",`+\\"\n\\"+`\n \\"accountnumber\\" \\"158560897007\\",`+\\"\n\\"+`\n \\"fromamount\\" \\"500\\",`+\\"\n\\"+`\n \\"toamount\\" \\"\\",`+\\"\n\\"+`\n \\"beneficiary\\" {`+\\"\n\\"+`\n \\"firstname\\" \\"jon\\",`+\\"\n\\"+`\n \\"lastname\\" \\"smith\\",`+\\"\n\\"+`\n \n \\"fullname\\" \\"jonsmith\\",`+\\"\n\\"+`\n \n \\"birthdate\\" \\"2001 06 18t13 05 09 015z\\",`+\\"\n\\"+`\n \\"address\\" \\"1 street\\",`+\\"\n\\"+`\n \\"city\\" \\"winfield\\",`+\\"\n\\"+`\n \\"stateprovince\\" \\"\\",`+\\"\n\\"+`\n \\"postalcode\\" \\"gb12345\\",`+\\"\n\\"+`\n \\"countrycode\\" \\"gb\\",`+\\"\n\\"+`\n \\"entitytype\\" \\"individual\\"`+\\"\n\\"+`\n },`+\\"\n\\"+`\n \\"beneficiaryfi\\" {`+\\"\n\\"+`\n \\"bankname\\" \\"bank uk\\",`+\\"\n\\"+`\n \\"bankcountrycode\\" \\"gb\\",`+\\"\n\\"+`\n \\"bankaddress\\" \\"1 avenue\\",`+\\"\n\\"+`\n \\"bankaccounttype\\" \\"checking\\",`+\\"\n\\"+`\n \n \\"routingcodetype1\\" \\"sortcode\\",`+\\"\n\\"+`\n \\"routingcodevalue1\\" \\"123456789\\",`+\\"\n\\"+`\n \\"routingcodetype2\\" \\"aba\\",`+\\"\n\\"+`\n \\"routingcodevalue2\\" \\"123456789\\",`+\\"\n\\"+`\n \\"bicswift\\" \\"tgclgb99\\",`+\\"\n\\"+`\n \\"iban\\" \\"gb33bukb20201555555555\\"`+\\"\n\\"+`\n },`+\\"\n\\"+`\n \\"originator\\" {`+\\"\n\\"+`\n \\"entityname\\" \\"cross river bank\\",`+\\"\n\\"+`\n \\"firstname\\" \\"\\",`+\\"\n\\"+`\n \\"lastname\\" \\"\\",`+\\"\n\\"+`\n \\"fullname\\" \\"cross river bank\\",`+\\"\n\\"+`\n \\"address\\" \\"885 teaneck road\\",`+\\"\n\\"+`\n \\"city\\" \\"teaneck\\",`+\\"\n\\"+`\n \\"state\\" \\"nj\\",`+\\"\n\\"+`\n \\"postalcode\\" \\"07666\\",`+\\"\n\\"+`\n \\"countrycode\\" \\"us\\",`+\\"\n\\"+`\n \\"entitytype\\" \\"company\\",`+\\"\n\\"+`\n \\"birthdate\\" \\"2008 06 23\\",`+\\"\n\\"+`\n \\"identificationtype\\" \\"incorporationnumber\\",`+\\"\n\\"+`\n \\"identificationvalue\\" \\"0400170263\\"`+\\"\n\\"+`\n },`+\\"\n\\"+`\n \\"priority\\" true,`+\\"\n\\"+`\n \n \n \\"purpose\\" \\"srv\\"`+\\"\n\\"+`\n}`)\n\n client = \&http client {\n }\n req, err = http newrequest(method, url, payload)\n\n if err != nil {\n fmt println(err)\n return\n }\n res, err = client do(req)\n if err != nil {\n fmt println(err)\n return\n }\n defer res body close()\n\n body, err = io readall(res body)\n if err != nil {\n fmt println(err)\n return\n }\n fmt println(string(body))\n}\n", "customlabel" "" } ], "selectedlanguageid" "sjmpv8wme7mtxozwh2grt" }, "results" { "languages" \[ { "id" "ppg3qgx9zzyt2wdgnb5il", "language" "200", "code" "{\n \\"id\\" \\"1b28600b 6fd7 4e0c bc50 b39b007a0dc2\\",\n \\"accountnumber\\" \\"158560897007\\",\n \\"currency\\" \\"gbp\\",\n \\"beneficiary\\" {\n \\"firstname\\" \\"jon\\",\n \\"lastname\\" \\"smith\\",\n \\"birthdate\\" \\"2001 06 18t00 00 00 04 00\\",\n \\"address\\" \\"1 street\\",\n \\"city\\" \\"winfield\\",\n \\"postalcode\\" \\"gb12345\\",\n \\"countrycode\\" \\"gb\\",\n \\"entitytype\\" \\"individual\\"\n },\n \\"beneficiaryfi\\" {\n \\"bankname\\" \\"bank uk\\",\n \\"bankcountrycode\\" \\"gb\\",\n \\"bankaddress\\" \\"1 avenue\\",\n \\"bankaccounttype\\" \\"checking\\",\n \\"routingcodetype1\\" \\"sortcode\\",\n \\"routingcodevalue1\\" \\"123456789\\",\n \\"routingcodetype2\\" \\"aba\\",\n \\"routingcodevalue2\\" \\"123456789\\",\n \\"bicswift\\" \\"tgclgb99\\",\n \\"iban\\" \\"gb33bukb20201555555555\\"\n },\n \\"originator\\" {\n \\"entityname\\" \\"cross river bank\\",\n \\"firstname\\" \\"\\",\n \\"lastname\\" \\"\\",\n \\"address\\" \\"885 teaneck road\\",\n \\"city\\" \\"teaneck\\",\n \\"state\\" \\"nj\\",\n \\"postalcode\\" \\"07666\\",\n \\"countrycode\\" \\"us\\",\n \\"entitytype\\" \\"company\\",\n \\"birthdate\\" \\"2008 06 23\\",\n \\"identificationtype\\" \\"incorporationnumber\\",\n \\"identificationvalue\\" \\"0400170263\\"\n },\n \\"fromamount\\" 500,\n \\"toamount\\" 394,\n \\"transactionfee\\" 100,\n \\"conversionrate\\" 0 7889,\n \\"estimateddeliverydate\\" \\"2025 11 20\\",\n \\"expiresat\\" \\"2025 11 20t02 25 23 3897333 05 00\\",\n \\"status\\" \\"created\\",\n \\"priority\\" true,\n \\"paymentnetwork\\" \\"priority\\",\n \\"purpose\\" \\"srv\\"\n}\n", "customlabel" "" } ], "selectedlanguageid" "ppg3qgx9zzyt2wdgnb5il" }, "request" { "pathparameters" \[], "queryparameters" \[], "headerparameters" \[], "bodydataparameters" \[ { "name" "currency", "kind" "required", "type" "string", "description" "currency the customer is converting funds into 3 letter iso currency code ", "" "currency the customer is converting funds into 3 letter iso currency code " }, { "name" "accountnumber", "kind" "required", "type" "string", "description" "account number of the sending cross river account", "" "account number of the sending cross river account" }, { "name" "fromamount", "kind" "optional", "type" "integer", "description" "the amount in usd to be transferred \nleave blank if you provide a toamount \nleave out the decimal point between the dollars and the cents \n", "" "the amount in usd to be transferred \nleave blank if you provide a toamount \nleave out the decimal point between the dollars and the cents \n" }, { "name" "toamount", "kind" "optional", "type" "integer", "description" "the amount in the specified currency to be received \nleave blank if you provide a fromamount \nleave out the decimal point between the dollars and the cents ", "" "the amount in the specified currency to be received \nleave blank if you provide a fromamount \nleave out the decimal point between the dollars and the cents " }, { "name" "beneficiary", "kind" "optional", "type" "object", "description" "the individual or company who gets the payment", "children" \[ { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the beneficiary of the funds required if entitytype is individual" }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the beneficiary of the funds required if entitytype is individual" }, { "name" "companyname", "kind" "optional", "type" "string", "description" "name of the beneficiary company required if entitytype is company " }, { "name" "email", "kind" "optional", "type" "string", "description" "name of the beneficiary company required if entitytype is company " }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date and time are in this format \\"yyyy mm dd\\"" }, { "name" "address", "kind" "optional", "type" "string", "description" "complete beneficiary street address" }, { "name" "city", "kind" "optional", "type" "string", "description" "beneficiary city" }, { "name" "stateprovince", "kind" "optional", "type" "string", "description" "beneficiary state or province" }, { "name" "postalcode", "kind" "optional", "type" "string", "description" "beneficiary postal or zip code " }, { "name" "countrycode", "kind" "required", "type" "string", "description" "two letter iso country code for a company entity, the country where it is registered for an individual, the country where they're based " }, { "name" "entitytype", "kind" "required", "type" "string", "description" "legal status of the entity, whether beneficiary or originator \n individual\n company\n\nthe default value is individual " } ], "schema" \[ { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the beneficiary of the funds required if entitytype is individual" }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the beneficiary of the funds required if entitytype is individual" }, { "name" "companyname", "kind" "optional", "type" "string", "description" "name of the beneficiary company required if entitytype is company " }, { "name" "email", "kind" "optional", "type" "string", "description" "name of the beneficiary company required if entitytype is company " }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date and time are in this format \\"yyyy mm dd\\"" }, { "name" "address", "kind" "optional", "type" "string", "description" "complete beneficiary street address" }, { "name" "city", "kind" "optional", "type" "string", "description" "beneficiary city" }, { "name" "stateprovince", "kind" "optional", "type" "string", "description" "beneficiary state or province" }, { "name" "postalcode", "kind" "optional", "type" "string", "description" "beneficiary postal or zip code " }, { "name" "countrycode", "kind" "required", "type" "string", "description" "two letter iso country code for a company entity, the country where it is registered for an individual, the country where they're based " }, { "name" "entitytype", "kind" "required", "type" "string", "description" "legal status of the entity, whether beneficiary or originator \n individual\n company\n\nthe default value is individual " } ] }, { "name" "beneficiaryfi", "kind" "optional", "type" "object", "description" "details of the beneficiary's financial institution (where the payment goes)", "children" \[ { "name" "bankname", "kind" "required", "type" "string", "description" "name of the beneficiary's bank" }, { "name" "bankcountrycode", "kind" "required", "type" "string", "description" "two letter code for the country where the beneficiary's bank account is held" }, { "name" "bankadress", "kind" "optional", "type" "string", "description" "street address of the beneficiary's bank" }, { "name" "bankaccounttype", "kind" "optional", "type" "string", "description" "beneficiary bank account type \n checking\n savings" }, { "name" "accountnumber", "kind" "optional", "type" "string", "description" "account number receiving the payment maximum n characters \n\nif you provide the iban number, do not provide an account number " }, { "name" "routingcodetype1", "kind" "optional", "type" "string", "description" "local payment routing system type if supplied, you must also give the actual code for routingcodevalue1 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue1", "kind" "optional", "type" "string", "description" "routing code of the routing code type \n\nrequired if you supply a value for routingcodetype1 " }, { "name" "routingcodetype2", "kind" "optional", "type" "string", "description" "sometimes certain corridors will require 2 routing codes in that case, use this attribute for the second code type if supplied, you must also give the actual code for routingcodevalue2 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue2", "kind" "optional", "type" "string", "description" "routing code of the routing code type\n\nrequired if you supplied a value for routingcodetype2 " }, { "name" "bicswift", "kind" "optional", "type" "string", "description" "bic/swift code of the beneficiary fi" }, { "name" "iban", "kind" "optional", "type" "string", "description" "iban number of the beneficiary fi\nif you provide a beneficiary account number, do not provide an iban number " } ], "schema" \[ { "name" "bankname", "kind" "required", "type" "string", "description" "name of the beneficiary's bank" }, { "name" "bankcountrycode", "kind" "required", "type" "string", "description" "two letter code for the country where the beneficiary's bank account is held" }, { "name" "bankadress", "kind" "optional", "type" "string", "description" "street address of the beneficiary's bank" }, { "name" "bankaccounttype", "kind" "optional", "type" "string", "description" "beneficiary bank account type \n checking\n savings" }, { "name" "accountnumber", "kind" "optional", "type" "string", "description" "account number receiving the payment maximum n characters \n\nif you provide the iban number, do not provide an account number " }, { "name" "routingcodetype1", "kind" "optional", "type" "string", "description" "local payment routing system type if supplied, you must also give the actual code for routingcodevalue1 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue1", "kind" "optional", "type" "string", "description" "routing code of the routing code type \n\nrequired if you supply a value for routingcodetype1 " }, { "name" "routingcodetype2", "kind" "optional", "type" "string", "description" "sometimes certain corridors will require 2 routing codes in that case, use this attribute for the second code type if supplied, you must also give the actual code for routingcodevalue2 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue2", "kind" "optional", "type" "string", "description" "routing code of the routing code type\n\nrequired if you supplied a value for routingcodetype2 " }, { "name" "bicswift", "kind" "optional", "type" "string", "description" "bic/swift code of the beneficiary fi" }, { "name" "iban", "kind" "optional", "type" "string", "description" "iban number of the beneficiary fi\nif you provide a beneficiary account number, do not provide an iban number " } ] }, { "name" "originator", "kind" "required", "type" "object", "description" "originator of the payment\n\nif your entity type is individual then the required fields are \nfirst name\nlast name\nbirth date\naddress\ncity\nstate\ncountry code\n\nif your entity type is company then the required firelds are \nentity name\naddress\ncity\nstate\npostal code \ncountry code\nidentification type\nidentification value", "" "originator of the payment\n\nif your entity type is individual then the required fields are \nfirst name\nlast name\nbirth date\naddress\ncity\nstate\ncountry code\n\nif your entity type is company then the required firelds are \nentity name\naddress\ncity\nstate\npostal code \ncountry code\nidentification type\nidentification value", "children" \[ { "name" "entityname", "kind" "optional", "type" "string", "description" "name of the company required if originator is company " }, { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the originator of the funds required if originator is individual " }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the originator of the funds required if originator is individual " }, { "name" "fullname", "kind" "optional", "type" "string", "description" "full name of the originator of the funds required if originator is individual\naddress " }, { "name" "address", "kind" "required", "type" "string", "description" "address of the originator of the funds required if originator is individual or company " }, { "name" "city", "kind" "required", "type" "string", "description" "originator city required if originator is individual or company " }, { "name" "state", "kind" "required", "type" "string", "description" "originator state required if originator is individual or company " }, { "name" "postalcode", "kind" "required", "type" "string", "description" "originator postal or zip code required if originator is individual or company " }, { "name" "countrycode", "kind" "required", "type" "string", "description" "two letter iso country code for a company entity, the country where it is registered for an individual, the country where they're based required if originator is individual or company " }, { "name" "entitytype", "kind" "optional", "type" "string", "description" "choose from \n individual \n company " }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date is in this format \\"yyyy mm dd\\"" }, { "name" "identificationtype", "kind" "optional", "type" "string", "description" "this has to be the incorporationnumber required if originator is company " }, { "name" "identificationvalue", "kind" "optional", "type" "string", "description" "business ein (employer identification number) required if originator is company" } ], "schema" \[ { "name" "entityname", "kind" "optional", "type" "string", "description" "name of the company required if originator is company " }, { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the originator of the funds required if originator is individual " }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the originator of the funds required if originator is individual " }, { "name" "fullname", "kind" "optional", "type" "string", "description" "full name of the originator of the funds required if originator is individual\naddress " }, { "name" "address", "kind" "required", "type" "string", "description" "address of the originator of the funds required if originator is individual or company " }, { "name" "city", "kind" "required", "type" "string", "description" "originator city required if originator is individual or company " }, { "name" "state", "kind" "required", "type" "string", "description" "originator state required if originator is individual or company " }, { "name" "postalcode", "kind" "required", "type" "string", "description" "originator postal or zip code required if originator is individual or company " }, { "name" "countrycode", "kind" "required", "type" "string", "description" "two letter iso country code for a company entity, the country where it is registered for an individual, the country where they're based required if originator is individual or company " }, { "name" "entitytype", "kind" "optional", "type" "string", "description" "choose from \n individual \n company " }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date is in this format \\"yyyy mm dd\\"" }, { "name" "identificationtype", "kind" "optional", "type" "string", "description" "this has to be the incorporationnumber required if originator is company " }, { "name" "identificationvalue", "kind" "optional", "type" "string", "description" "business ein (employer identification number) required if originator is company" } ] }, { "name" "priority", "kind" "optional", "type" "boolean", "description" "true if the transfer is via swift otherwise false if you don't supply a value, the default is false ", "children" \[] }, { "name" "conversionfeebps", "kind" "optional", "type" "integer", "description" "requested fee for conversion of the funds using basis points (bps) added onto the foreign exchange rate and earned by the cos partner into their specified account the fee is added onto the foreign exchange rate when returned in the response a basis point is 1/100th of a percent of the funds to be transferred \n\npartners must be approved to use this attribute to earn conversion fees ", "children" \[] }, { "name" "transactionfeeamount", "kind" "optional", "type" "integer", "description" "the requested flat fee amount for the transaction in usd earned by the cos partner into their specified account", "children" \[] }, { "name" "purposecode", "kind" "optional", "type" "string", "description" "required for payments to india (inr), malaysia (myr), and united arab emirates (aed) see our payment purpose codes page for additional details ", "" "required for payments to india (inr), malaysia (myr), and united arab emirates (aed) see our payment purpose codes page for additional details " }, { "name" "invoicenumber", "kind" "optional", "type" "string", "description" "necessary when making trade related inr payments, check our payment purpose codes page for additional details 1 30 characters alphanumeric only ", "" "necessary when making trade related inr payments, check our payment purpose codes page for additional details 1 30 characters alphanumeric only " }, { "name" "invoicedate", "kind" "optional", "type" "string", "description" "necessary when making trade related inr payments see our payment purpose codes page for additional details iso 8601 format (yyyy mm dd) ", "" "necessary when making trade related inr payments see our payment purpose codes page for additional details iso 8601 format (yyyy mm dd) " }, { "name" "purpose", "kind" "required", "type" "string", "description" "a 1 12 character code that indicates the reason for a transaction this code is required for certain markets (countries) ", "" "a 1 12 character code that indicates the reason for a transaction this code is required for certain markets (countries) " } ], "formdataparameters" \[] }, "currentnewparameter" { "label" "body parameter", "value" "bodydataparameters" }, "response" \[ { "name" "id", "kind" "optional", "type" "string", "description" "the quote id you must use this guid format id when you originate a payment " }, { "name" "accountnumber", "kind" "optional", "type" "string", "description" "account number of the sending cr account", "children" \[] }, { "name" "currency", "kind" "optional", "type" "string", "description" "currency the customer is converting funds into 3 letter iso currency code ", "children" \[] }, { "name" "beneficiary", "kind" "optional", "type" "object", "description" "the individual or company who gets the payment", "children" \[ { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the beneficiary of the funds required if entitytype is individual" }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the beneficiary of the funds required if entitytype is individual" }, { "name" "companyname", "kind" "optional", "type" "string", "description" "name of the beneficiary company required if entitytype is company " }, { "name" "email", "kind" "optional", "type" "string", "description" "beneficiary's email address, whether a company or an individual" }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date and time are in this format \\"yyyy mm dd\\"" }, { "name" "address", "kind" "optional", "type" "string", "description" "complete beneficiary street address" }, { "name" "city", "kind" "optional", "type" "string", "description" "beneficiary city" }, { "name" "stateprovince", "kind" "optional", "type" "string", "description" "beneficiary state or province" }, { "name" "postalcode", "kind" "optional", "type" "string", "description" "beneficiary postal or zip code " }, { "name" "countrycode", "kind" "optional", "type" "string", "description" "two letter iso country code for a company entity, the country where it's registered for an individual, the country where they're based " }, { "name" "entitytype", "kind" "optional", "type" "string", "description" "legal status of the entity, whether beneficiary or originator \n\n individual\n company\n\nthe default value is individual " } ] }, { "name" "beneficiaryfi", "kind" "optional", "type" "object", "description" "details of the beneficiary's financial institution (where the payment goes)", "children" \[ { "name" "bankname", "kind" "optional", "type" "string", "description" "name of the beneficiary's bank" }, { "name" "bankcountrycode", "kind" "optional", "type" "string", "description" "two letter code for the country where the beneficiary's bank account is held" }, { "name" "bankaddress", "kind" "optional", "type" "string", "description" "street address of the beneficiary's bank" }, { "name" "bankaccounttype", "kind" "optional", "type" "string", "description" "beneficiary bank account type \n\n checking\n savings" }, { "name" "accountnumber", "kind" "optional", "type" "string", "description" "account number receiving the payment maximum n characters " }, { "name" "routingcodetype1", "kind" "optional", "type" "string", "description" "local payment routing system type if supplied, you must also give the actual code for routingcodevalue1 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue1", "kind" "optional", "type" "string", "description" "routing code of the routing code type \n\nrequired if you supply a value for routingcodetype1 " }, { "name" "routingcodetype2", "kind" "optional", "type" "string", "description" "sometimes certain corridors will require 2 routing codes in that case, use this attribute for the second code type if supplied, you must also give the actual code for routingcodevalue2 \n\n sortcode (uk, ireland)\n aba (united states)\n bsbcode (australia)\n institutionno\n bankcode\n branchcode\n clabe (mexico)\n cnaps (china)\n ifsc" }, { "name" "routingcodevalue2", "kind" "optional", "type" "string", "description" "routing code of the routing code type\n\nrequired if you supplied a value for routingcodetype2 " }, { "name" "bicswift", "kind" "optional", "type" "string", "description" "bic/swift code of the beneficiary fi" }, { "name" "iban", "kind" "optional", "type" "string", "description" "iban number of the beneficiary fi" } ] }, { "name" "originator", "kind" "optional", "type" "object", "description" "originator of the payment", "children" \[ { "name" "entityname", "kind" "optional", "type" "string", "description" "name of the company " }, { "name" "firstname", "kind" "optional", "type" "string", "description" "first name of the originator of the funds " }, { "name" "lastname", "kind" "optional", "type" "string", "description" "last name of the originator of the funds " }, { "name" "fullname", "kind" "optional", "type" "string", "description" "full name of the originator of the funds " }, { "name" "address", "kind" "optional", "type" "string", "description" "address of the originator of the funds " }, { "name" "city", "kind" "optional", "type" "string", "description" "originator city " }, { "name" "state", "kind" "optional", "type" "string", "description" "originator state " }, { "name" "postalcode", "kind" "optional", "type" "string", "description" "originator postal or zip code " }, { "name" "countrycode", "kind" "optional", "type" "string", "description" "two letter iso country code " }, { "name" "entitytype", "kind" "optional", "type" "string", "description" "either individual or company " }, { "name" "birthdate", "kind" "optional", "type" "string", "description" "if entitytype is company, date of registration if entitytype is individual, date of birth the date is in this format yyyy mm dd" }, { "name" "identificationtype", "kind" "optional", "type" "string", "description" "this has to be the incorporationnumber" }, { "name" "identificationvalue", "kind" "optional", "type" "string", "description" "business ein (employer identification number) " } ] }, { "name" "fromamount", "kind" "optional", "type" "integer", "description" "the amount in usd to be transferred", "children" \[] }, { "name" "toamount", "kind" "optional", "type" "integer", "description" "the amount in the specified currency to be received", "children" \[] }, { "name" "transactionfee", "kind" "optional", "type" "integer", "description" "total fee a combination of the fee charged by cr and that earned by the requesting partner, debited from the originating account", "children" \[] }, { "name" "conversionrate", "kind" "optional", "type" "number", "description" "the executable conversion rate between the dollar amount and the foreign currency the conversion rate is typically valid for only 30 seconds ", "children" \[] }, { "name" "estimateddeliverydate", "kind" "optional", "type" "string", "description" "estimate delivery date of the quote \nthe date and time are in this format yyyy mm ddthh\ mm\ ss\[ mmm]", "children" \[] }, { "name" "expiresat", "kind" "optional", "type" "string", "description" "date and time of quote expiration payment must be executed by the expiration to be accepted \n\nthe date and time are in this format yyyy mm ddthh\ mm\ ss\[ mmm]", "children" \[] }, { "name" "status", "kind" "optional", "type" "string", "description" "status of the quote \n\n created\n executed\n", "children" \[] }, { "name" "priority", "kind" "optional", "type" "boolean", "description" "true if the transfer is via swift otherwise false if you don't supply a value, the default is false ", "children" \[] }, { "name" "purpose", "kind" "optional", "type" "string", "description" "a 1 12 character code that indicates the reason for a transaction this code is required for certain markets (countries) ", "children" \[] }, { "name" "purposecode", "kind" "optional", "type" "string", "description" "required for payments to india (inr), malaysia (myr), and united arab emirates (aed) check our payment purpose codes page for additional details ", "children" \[] }, { "name" "invoicenumber", "kind" "optional", "type" "string", "description" "necessary when making trade related inr payments, check our payment purpose codes page for additional details alphanumeric only 1 30 characters ", "children" \[] }, { "name" "invoicedate", "kind" "optional", "type" "string", "description" "necessary when making trade related inr payments, check our payment purpose codes page for additional details iso 8601 format (yyyy mm dd) ", "children" \[] } ] } for additional information, refer to our docid\ mz2n7dqz5peg7vglhdowm tutorial